Arch MeshToShape

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch MeshToShape and the translation is 100% complete.

Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska

Arch MeshToShape.svg Arch Wandelt Netz in Form um

Menüeintrag
Arch → Dienstprogramme → Wandelt Netz in Form um
Arbeitsbereich
Arch
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
Arch Entfernt Formen


Beschreibung

Dieses Werkzeug wandelt ein ausgewähltes Netz-Objekt in ein Form-Objekt um. Zu beachten ist, dass dieses Werkzeug für flache Oberflächen (ohne Wölbungen) optimiert ist. Das entsprechende Werkzeug aus dem Part-Arbeitsbereich ist möglicherweise eher für Objekte geeignet, die gewölbte Oberflächen enthalten.

Anwendung

  1. Wähle ein Netz-Objekt
  2. Drücke den Arch MeshToShape.svg Wandelt Netz in Form um-Eintrag in Arch → Dienstprogramme → Wandelt Netz in Form um

Scripting

Siehe auch: Arch API und FreeCAD Scripting Basics.

Dieses Werkzeug kann in Makros ebenso wie aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

new_obj = meshToShape(obj, mark=True, fast=True, tol=0.001, flat=False, cut=True)
  • Konvertiert das gegebene obj, ein Netz, in eine Form durch Verbinden von in der gleichen Ebene liegenden Facetten.
  • Falls mark den Wert True hat, werden Objekte, die keine Festkörper sind, rot markiert.
  • Falls fast den Wert True hat, wird ein schnellerer Algorithmus verwendet, der eine Hülle aus den Facetten erstellt und dann die Splitter entfernt.
  • Falls tol den Wert True hat, wird erzwungen, dass die Linienzüge absolut eben (planar) sind, um sicher zu sein, dass sie zu Flächen konvertiert werden können, das kann aber zu Lücken in der resultiereden Hülle führen.
  • Falls cut den Wert True hat, werden Öffnungen (holes) in Flächen durch Subtraktion erzeugt.
import Arch, Mesh, BuildRegularGeoms

Box = FreeCAD.ActiveDocument.addObject("Mesh::Cube", "Cube")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

new_obj = Arch.meshToShape(Box)